# Class PopulationData

    java.lang.Object
       |
       +----PopulationData

public class PopulationData
extends Object

This class simply contains a vector that will store all of the data from the lilgp statistics file for a single sub-population.

##

PopulationData()
  The constructor method instantiates a Vector that contains references for 20 other vectors - one for each column of data in the statistics file.

##

addValue(int, Double)
  This method adds the given value to the correct vector.
getMetricData(int)
  This method returns the requested Vector
getNumGenerations()
  This method returns the number of generations of data.
getValue(int, int)
  This method returns the specified value.

##

PopulationData

      public PopulationData()

  The constructor method instantiates a Vector that contains references for 20 other vectors - one for each column of data in the statistics file.

##

addValue

      public void addValue(int whichMetric,
                           Double value)

  This method adds the given value to the correct vector.
  Parameters:
    whichMetric - is the index of the correct vector
    value - is the value to be inserted

getValue

      public double getValue(int whichMetric,
                             int whichGeneration)

  This method returns the specified value.
  Parameters:
    whichMetric - specifies which Vector to look in
    whichGeneration - specifies which generation to look at

getMetricData

      public Vector getMetricData(int whichMetric)

  This method returns the requested Vector
  Parameters:
    whichMetric - the index of the Vector to return.

getNumGenerations

      public int getNumGenerations()

  This method returns the number of generations of data.